- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaAddRemove Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for the addition or removal keys on a curve.

Captures the addition or removal of key on a curve. keyIndex(...) will return the index of the key that was added or removed.

`#include <MFnKeyframeDeltaAddRemove.h>`

Inheritance diagram for MFnKeyframeDeltaAddRemove:
[legend]

List of all members.

## Public Types
enum | DeltaType { kAdded, kRemoved, kReplaced }
| Type of change. More...
## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaAddRemove ()
| Destructor.
| MFnKeyframeDeltaAddRemove ()
| Default constructor.
| MFnKeyframeDeltaAddRemove (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
DeltaType | deltaType (MStatus *ReturnStatus=NULL) const
| Indicates the type of change that this class instance represents.
double | value (MStatus *ReturnStatus=NULL) const
| The value of the key that was added or removed.
MTime | time (MStatus *ReturnStatus=NULL) const
| The time value of the key that was added or removed.
virtual unsigned int | keyIndex (MStatus *ReturnStatus=NULL) const
| The index of this key on the animation curve.
double | replacedValue (MStatus *ReturnStatus=NULL) const
| The value of the key that was replaced.
| MFnKeyframeDeltaAddRemove (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Member Enumeration Documentation

enum DeltaType

Search for all occurrences

Type of change.

Enumerator:

  kAdded | Key added. Search for all occurrences
  kRemoved | Key removed. Search for all occurrences
  kReplaced | Key replaced. Search for all occurrences

## Constructor & Destructor Documentation

MFnKeyframeDeltaAddRemove | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaAddRemove | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaAddRemove.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaAddRemove".

Reimplemented from MFnKeyframeDelta.

MFnKeyframeDeltaAddRemove::DeltaType deltaType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Indicates the type of change that this class instance represents.

Parameters:

  [out] | ReturnStatus |

Returns:
  - kAdded - a key has been added.
  - kRemoved - a key has been removed.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

double value | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The value of the key that was added or removed.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A double value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime time | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The time value of the key that was added or removed.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A MTime value of the added/removed key.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

unsigned int keyIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const `[virtual]`

Search for all occurrences

The index of this key on the animation curve.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An unsigned int representing the position of the key on the curve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.
  - MS::kInvalidParameter key index is not available for this delta object.

Reimplemented from MFnKeyframeDelta.

double replacedValue | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The value of the key that was replaced.

This method is only applicable to the kReplaced operation. Otherwise it will return 0.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A double value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove
MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove MFnKeyframeDeltaAddRemove